Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62358 - [flatpak] 1.3.2 Flatpak install and updates fail with error

Attached to Project: Arch Linux
Opened by Britt Yazel (brittyazel) - Monday, 15 April 2019, 17:00 GMT
Last edited by Bartłomiej Piotrowski (Barthalion) - Wednesday, 17 April 2019, 17:51 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Bartłomiej Piotrowski (Barthalion)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

As of today's Flatpak 1.3.2 update, installing and updating flatpaks consistently errors. I get the error:

"Error: Message recipient disconnected from message bus without replying"


I believe this is to do with the changes in 1.3.2 and the addition of the fuse file system. Further, per the release notes there should be a 'flatpak' user needed to run flatpak apps, but I cannot find this user account on my system. I am attaching the release notes for 1.3.2 below:

https://github.com/flatpak/flatpak/releases/tag/1.3.2
This task depends upon

Closed by  Bartłomiej Piotrowski (Barthalion)
Wednesday, 17 April 2019, 17:51 GMT
Reason for closing:  Fixed
Additional comments about closing:  1.3.2+6+g00dfce52-1
Comment by Britt Yazel (brittyazel) - Monday, 15 April 2019, 18:47 GMT
Correction, this is only with updating flatpaks, not installing them (or reinstalling them). For some reason updating packages is throwing the error
Comment by Bartłomiej Piotrowski (Barthalion) - Monday, 15 April 2019, 20:31 GMT
The package ships with sysusers file which should create the user for you. You can try running 'systemd-sysusers flatpak.conf' but it should happen automatically by pacman.
Comment by Britt Yazel (brittyazel) - Monday, 15 April 2019, 21:06 GMT
hrm. I ran the command you gave but there's no change. I can now verify this on two computers also FYI
Comment by Bartłomiej Piotrowski (Barthalion) - Tuesday, 16 April 2019, 14:58 GMT
Please attach output of 'getent passwd flatpak' and 'pacman -S flatpak --debug'.
Comment by Britt Yazel (brittyazel) - Tuesday, 16 April 2019, 16:19 GMT
flatpak:x:985:985:Flatpak system helper:/:/sbin/nologin


https://pastebin.com/G0SXFb5G
Comment by Jake Kreiger (Magali75) - Tuesday, 16 April 2019, 16:41 GMT Comment by Bartłomiej Piotrowski (Barthalion) - Tuesday, 16 April 2019, 18:23 GMT
@Britt: So it's fine, I don't get why you think it's caused by missing user.

Pushed 1.3.2+6+g00dfce52-1 to [extra] which includes fix for #2831 linked above.
Comment by Britt Yazel (brittyazel) - Tuesday, 16 April 2019, 19:12 GMT
I just suggested it may be due to the missing user, I was just making a guess though. I have no idea what was/is causing it tbh.
Comment by Britt Yazel (brittyazel) - Tuesday, 16 April 2019, 20:23 GMT
I can confirm that with the new build with the #2831 patch updates are working again. Thanks so much
Comment by Bartłomiej Piotrowski (Barthalion) - Wednesday, 17 April 2019, 17:51 GMT
No probs, closing then. I'm subscribed to all Flatpak issues so will backport the fix for 2829 when it happens.

Loading...